Index: src/dvdcss/dvdcss.h
===================================================================
--- src/dvdcss/dvdcss.h	(révision 208)
+++ src/dvdcss/dvdcss.h	(copie de travail)
@@ -88,7 +88,9 @@
                                int i_flags );
 LIBDVDCSS_EXPORT char *   dvdcss_error ( dvdcss_t );
 
+LIBDVDCSS_EXPORT int      dvdcss_is_scrambled ( dvdcss_t );
 
+
 /*
  * Deprecated stuff.
  */
Index: src/libdvdcss.c
===================================================================
--- src/libdvdcss.c	(révision 208)
+++ src/libdvdcss.c	(copie de travail)
@@ -795,4 +795,16 @@
     return _dvdcss_title( dvdcss, i_block );
 }
 
+/**
+ * \brief Return 1 if the DVD is scrambled, 0 otherwise.
+ *
+ * \param dvdcss a \e libdvdcss instance.
+ * \return 1 if the DVD is scrambled, 0 otherwise.
+ *
+ * This function returns whether the DVD is scrambled.
+ */
+LIBDVDCSS_EXPORT int dvdcss_is_scrambled ( dvdcss_t dvdcss )
+{
+    return dvdcss->b_scrambled;
+}
 